include:
  - local: /gitlab/actions/.gitlab-ci-deploy.yml

.dev-env:
  before_script:
    - export PROJECT_TAG=$(grep -m 1 '<version>' pom.xml | awk -F '>' '{ print $2 }' | awk -F '<' '{ print $1 }')
    - export DOCKER_TAG=$(echo "$CI_COMMIT_REF_NAME"|tr "/" "_")-$PROJECT_TAG
  variables:
    PROFILE: "dev"
  environment:
    name: dev
    url: https://dev.mvpotter.com

deploy-dev:
  extends:
    - .deploy-action
    - .dev-env
  only:
    - develop
  when: manual
